#include "stdafx.h"
#include "DTOIterator.h"

AbstractSimulationResultDTO* DTOIterator::nextResult()
{
	AbstractSimulationResultDTO* next = components->front();
	components->pop_front();
	return next;
}

AbstractSimulationResultDTO* DTOIterator::currentResult()
{
	return components->front();
}

AbstractSimulationResultDTO* DTOIterator::firstResult()
{
	return components->front();
}

bool DTOIterator::hasNextResult()
{
	if (components->size() > 0) {
		return true;
	} else {
		return false;
	}
}
